Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 490744 - app-admin/rsyslog should create an additional input socket in /var/empty/dev/log by default
Summary: app-admin/rsyslog should create an additional input socket in /var/empty/dev/...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ultrabug
URL:
Whiteboard:
Keywords:
Depends on: 501982
Blocks:
  Show dependency tree
 
Reported: 2013-11-08 14:13 UTC by Thomas Deutschmann
Modified: 2014-05-23 16:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2013-11-08 14:13:04 UTC
Hi,

while upgrading net-misc/openssh I saw the einfo

 > For the HPN server logging patch, you must ensure
 > that your syslog application also listens at /var/empty/dev/log.

I must admit that at the time I read this I wasn't aware about the fact, that "/var/empty" is a default chroot directory for processes which don't require file access for example.

Shouldn't we create an input socket in "/var/empty/dev/log" per default?

E.g. placing a file in "/etc/rsyslog.d" or just add a line like

  input(type="imuxsock" Socket="/var/empty/dev/log")

to the the default rsyslog.conf file?

What do you think?


Reproducible: Always
Comment 1 Ultrabug gentoo-dev 2014-03-10 12:47:07 UTC
I agree with your proposal, this would fit in bug #501982 for 7.6.x releases !
Comment 2 Ultrabug gentoo-dev 2014-05-23 16:06:24 UTC
Fixed on newer releases thx to you ! :)